petsc-3.4.2 2013-07-02

# PetscThreadReductionEnd

Completes the given reduction

### Synopsis

    #include "petscthreadcomm.h"
    PetscErrorCode PetscThreadReductionEnd(PetscThreadCommReduction red,void *outdata)

### Input Parameters

| red | - the reduction context
| outdata | - the reduction result

### Notes

To be called by the main thread only

Level:developer
Location:src/sys/threadcomm/interface/threadcommred.c
Index of all PetscThreadComm routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/threadcomm/examples/tutorials/ex3.c.html